<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: data_xx_defs::l0_ Type Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedata__xx__defs.html">data_xx_defs</a></li><li class="navelem"><a class="el" href="structdata__xx__defs_1_1l0__.html">l0_</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structdata__xx__defs_1_1l0__-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">data_xx_defs::l0_ Type Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Collaboration diagram for data_xx_defs::l0_:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
<div class="center"><img src="structdata__xx__defs_1_1l0____coll__graph.png" border="0" usemap="#data__xx__defs_1_1l0___coll__map" alt="Collaboration graph"/></div>
<map name="data__xx__defs_1_1l0___coll__map" id="data__xx__defs_1_1l0___coll__map">
</map>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a5bfd6beea6e3d39b9eccfad184888e25"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#a5bfd6beea6e3d39b9eccfad184888e25">name</a></td></tr>
<tr class="separator:a5bfd6beea6e3d39b9eccfad184888e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44d18064290bdc1e572c6378928550e7"><td class="memItemLeft" align="right" valign="top">character(len=str_medium)&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#a44d18064290bdc1e572c6378928550e7">sub_name</a></td></tr>
<tr class="separator:a44d18064290bdc1e572c6378928550e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef4cb058e7e22d01931793facfec3768"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#aef4cb058e7e22d01931793facfec3768">data_type</a></td></tr>
<tr class="separator:aef4cb058e7e22d01931793facfec3768"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac23bc967ae9c8eec69f1225b2719b8c1"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#ac23bc967ae9c8eec69f1225b2719b8c1">usage</a></td></tr>
<tr class="separator:ac23bc967ae9c8eec69f1225b2719b8c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a44e5cd335d506b7a8aa82af983d9411c"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#a44e5cd335d506b7a8aa82af983d9411c">readwrite_flag</a></td></tr>
<tr class="separator:a44e5cd335d506b7a8aa82af983d9411c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4279abeeb05d3ee8310b66d3496e3d"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#adc4279abeeb05d3ee8310b66d3496e3d">auto_register_flag</a></td></tr>
<tr class="separator:adc4279abeeb05d3ee8310b66d3496e3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6ab10d10126115e68fde65743dee640"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#ab6ab10d10126115e68fde65743dee640">dump_flag</a></td></tr>
<tr class="separator:ab6ab10d10126115e68fde65743dee640"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a619587f4ae25ab9223a475e33c7511f5"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#a619587f4ae25ab9223a475e33c7511f5">flag</a></td></tr>
<tr class="separator:a619587f4ae25ab9223a475e33c7511f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa83a0dfd31a643498b4e15ab28673579"><td class="memItemLeft" align="right" valign="top">logical, pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#aa83a0dfd31a643498b4e15ab28673579">d</a></td></tr>
<tr class="separator:aa83a0dfd31a643498b4e15ab28673579"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad1606bda74198c1f989901aaa8ffeca"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structdata__xx__defs_1_1l0__.html">l0_</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structdata__xx__defs_1_1l0__.html#aad1606bda74198c1f989901aaa8ffeca">next</a></td></tr>
<tr class="separator:aad1606bda74198c1f989901aaa8ffeca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="adc4279abeeb05d3ee8310b66d3496e3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc4279abeeb05d3ee8310b66d3496e3d">&#9670;&nbsp;</a></span>auto_register_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::l0_::auto_register_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa83a0dfd31a643498b4e15ab28673579"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa83a0dfd31a643498b4e15ab28673579">&#9670;&nbsp;</a></span>d</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical, pointer data_xx_defs::l0_::d</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aef4cb058e7e22d01931793facfec3768"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef4cb058e7e22d01931793facfec3768">&#9670;&nbsp;</a></span>data_type</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::l0_::data_type</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab6ab10d10126115e68fde65743dee640"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab6ab10d10126115e68fde65743dee640">&#9670;&nbsp;</a></span>dump_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::l0_::dump_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a619587f4ae25ab9223a475e33c7511f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a619587f4ae25ab9223a475e33c7511f5">&#9670;&nbsp;</a></span>flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::l0_::flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5bfd6beea6e3d39b9eccfad184888e25"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5bfd6beea6e3d39b9eccfad184888e25">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::l0_::name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aad1606bda74198c1f989901aaa8ffeca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aad1606bda74198c1f989901aaa8ffeca">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">type(<a class="el" href="structdata__xx__defs_1_1l0__.html">l0_</a>), pointer data_xx_defs::l0_::next</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44e5cd335d506b7a8aa82af983d9411c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44e5cd335d506b7a8aa82af983d9411c">&#9670;&nbsp;</a></span>readwrite_flag</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">logical data_xx_defs::l0_::readwrite_flag</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a44d18064290bdc1e572c6378928550e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a44d18064290bdc1e572c6378928550e7">&#9670;&nbsp;</a></span>sub_name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">character(len = str_medium) data_xx_defs::l0_::sub_name</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac23bc967ae9c8eec69f1225b2719b8c1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac23bc967ae9c8eec69f1225b2719b8c1">&#9670;&nbsp;</a></span>usage</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">integer data_xx_defs::l0_::usage</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this type was generated from the following file:<ul>
<li><a class="el" href="data__xx__defs_8f90.html">data_xx_defs.f90</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:51 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
